Subject: bug#29447: closed (Re: [bug#29447] [PATCH 0/2] Make Xorg modules configurable, remove WindowMaker dependency)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 28 Nov 2017 10:28:02 +0000

Your bug report

#29447: [PATCH 0/2] Make Xorg modules configurable, remove WindowMaker dependency

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29447: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=29447
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#29447] [PATCH 0/2] Make Xorg modules configurable, remove WindowMaker dependency
From: [email-masked] (Ludovic Courtès)
To: Adonay Felipe Nogueira <[email-masked]>
Cc: [email-masked]
Date: Tue, 28 Nov 2017 11:26:50 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Adonay Felipe Nogueira <[email-masked]> skribis:

> +1
>
> 2017-11-25T22:39:25+0000 ng0 wrote:
>>
>> Overall, good.
>> What I think is lacking is that we add in the Documentation that
>> adding a WM/DM is necessary to get started.
>> It might sound like a little too much of a Cpt. Obvious, but
>> we can't assume everyone understand the implications of not
>> defining a WM/DM in the config.
>>

That makes sense.  I’ve cleaned up the SLiM documentation a bit and then
adjusted it as you suggest:

  https://git.savannah.gnu.org/cgit/guix.git/commit/?id=65c0f43649b455db94f1e8b0a244a889cb961b25

Thanks for your feedback!

Ludo’.

Subject: [PATCH 0/2] Make Xorg modules configurable, remove WindowMaker dependency
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Cc: Ludovic Courtès <[email-masked]>
Date: Sat, 25 Nov 2017 23:27:37 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

The first patch here cleans up ‘xorg-configuration-file’ et al. such
that users can pass a list of modules to use (until now the list of
modules was hard-coded in ‘xorg-configuration-file’.)

The second one removes WindowMaker as the default fallback session.
Instead, the default is to look for a .desktop file at run time in the
user and system profiles.

The downside is that if no package provides a .dekstop file, then login
fails.  I think that’s acceptable though, because people expect to
specify a list of window managers in the ‘packages’ field anyway, as
show in the lightweight-desktop example.

Thoughts?

Ludo’.

Ludovic Courtès (2):
  services: xorg: Allow users to specify a list of modules.
  services: xorg: Remove WindowMaker as a default fallback.

 doc/guix.texi         |  26 ++++--
 gnu/services/xorg.scm | 244 +++++++++++++++++++++++++++++++++++---------------
 2 files changed, 189 insertions(+), 81 deletions(-)

-- 
2.15.0